/**
 * Copyright © 2014-2024 PDF Technologies, Inc. All Rights Reserved.
 *
 * THIS SOURCE CODE AND ANY ACCOMPANYING DOCUMENTATION ARE PROTECTED BY INTERNATIONAL COPYRIGHT LAW
 * AND MAY NOT BE RESOLD OR REDISTRIBUTED. USAGE IS BOUND TO THE ComPDFKit LICENSE AGREEMENT.
 * UNAUTHORIZED REPRODUCTION OR DISTRIBUTION IS SUBJECT TO CIVIL AND CRIMINAL PENALTIES.
 * This notice may not be removed from this file.
 */

import React, { PureComponent } from 'react';
import PropTypes from 'prop-types';
import { requireNativeComponent } from 'react-native';
import { ViewPropTypes } from 'deprecated-react-native-prop-types';


const propTypes = {
  configuration: PropTypes.string.isRequired,
  document: PropTypes.object.isRequired,
  zoomEnabled: PropTypes.bool,
  ...ViewPropTypes,
}

// Generates the prop types for TypeScript users, from PropTypes.
type CPDFReaderViewProps = PropTypes.InferProps<typeof propTypes>;

export class CPDFReaderView extends PureComponent<CPDFReaderViewProps, any> {

  _viewerRef: any;

  static propTypes = propTypes;

  _setNativeRef = (ref: any) => {
    this._viewerRef = ref;
  }

  render() {
      return (
        <RCTCPDFReaderView
          ref={this._setNativeRef}
          style={{ flex: 1 }}
          {...this.props}
        />
      )
  }
}


const RCTCPDFReaderView = requireNativeComponent<CPDFReaderViewProps>('RCTCPDFReaderView');